jargs.gnu

## Class CmdLineParser.Option

- java.lang.Object
- - jargs.gnu.CmdLineParser.Option

- Direct Known Subclasses:
    CmdLineParser.Option.BooleanOption, CmdLineParser.Option.DoubleOption, CmdLineParser.Option.IntegerOption, CmdLineParser.Option.LongOption, CmdLineParser.Option.StringOption
  Enclosing class:
    CmdLineParser

      public abstract static class CmdLineParser.Option
      extends java.lang.Object

  Representation of a command-line option

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CmdLineParser.Option.BooleanOption`
    `static class` | `CmdLineParser.Option.DoubleOption` An option that expects a floating-point value
    `static class` | `CmdLineParser.Option.IntegerOption` An option that expects an integer value
    `static class` | `CmdLineParser.Option.LongOption` An option that expects a long integer value
    `static class` | `CmdLineParser.Option.StringOption` An option that expects a string value

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CmdLineParser.Option(char shortForm, java.lang.String longForm, boolean wantsValue)`
    `protected` | `CmdLineParser.Option(java.lang.String longForm, boolean wantsValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue(java.lang.String arg, java.util.Locale locale)`
    `java.lang.String` | `longForm()`
    `protected java.lang.Object` | `parseValue(java.lang.String arg, java.util.Locale locale)` Override to extract and convert an option value passed on the command-line
    `java.lang.String` | `shortForm()`
    `boolean` | `wantsValue()` Tells whether or not this option wants a value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CmdLineParser.Option

          protected CmdLineParser.Option(java.lang.String longForm,
                              boolean wantsValue)

    - #### CmdLineParser.Option

          protected CmdLineParser.Option(char shortForm,
                              java.lang.String longForm,
                              boolean wantsValue)

  - ### Method Detail

    - #### shortForm

          public java.lang.String shortForm()

    - #### longForm

          public java.lang.String longForm()

    - #### wantsValue

          public boolean wantsValue()

      Tells whether or not this option wants a value

    - #### getValue

          public final java.lang.Object getValue(java.lang.String arg,
                                  java.util.Locale locale)
                                          throws CmdLineParser.IllegalOptionValueException

      Throws:
        `CmdLineParser.IllegalOptionValueException`

    - #### parseValue

          protected java.lang.Object parseValue(java.lang.String arg,
                                    java.util.Locale locale)
                                         throws CmdLineParser.IllegalOptionValueException

      Override to extract and convert an option value passed on the command-line
      Throws:
        `CmdLineParser.IllegalOptionValueException`